## org.eclipse.datatools.connectivity.oda.spec.manifest
Class CombinedExpressionOperatorDefinition

    java.lang.Object
      org.eclipse.datatools.connectivity.oda.spec.manifest.CombinedExpressionOperatorDefinition

Direct Known Subclasses:
  CombinedExpressionOperatorDefinition.CustomCombinedOperatorDefinition

    public class CombinedExpressionOperatorDefinition

extends java.lang.Object

Represents the definition of a value expression combined operator type, as specified in an extension of the org.eclipse.datatools.connectivity.oda.dynamicResultSet extension point.

Since:
  3.2.2 (DTP 1.7.2)

Nested Class Summary
`class` `CombinedExpressionOperatorDefinition.CustomCombinedOperatorDefinition`

Method Summary
`static java.lang.String` `getCustomLiteralAttributeValue(org.eclipse.core.runtime.IConfigurationElement opElement)` For internal use only.
`java.lang.String` `getDisplayName()`
`java.lang.String` `getId()`
`static java.lang.String` `getIdAttributeValue(org.eclipse.core.runtime.IConfigurationElement opElement)` For internal use only.
`CombinedValueExpressionOperator` `getOperator()` Returns an instance of ValueExpressionCombinedOperator for use in an ODA `CombinedValueExpression`, based on the class attribute specified in this definition.
`boolean` `isBuiltInOperator()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getIdAttributeValue

    public static java.lang.String getIdAttributeValue(org.eclipse.core.runtime.IConfigurationElement opElement)
                                                throws OdaException

  For internal use only.

  Throws:
    `OdaException`

### getCustomLiteralAttributeValue

    public static java.lang.String getCustomLiteralAttributeValue(org.eclipse.core.runtime.IConfigurationElement opElement)
                                                           throws OdaException

  For internal use only.

  Throws:
    `OdaException`

### getId

    public java.lang.String getId()

### getDisplayName

    public java.lang.String getDisplayName()

### isBuiltInOperator

    public boolean isBuiltInOperator()

### getOperator

    public CombinedValueExpressionOperator getOperator()

  Returns an instance of ValueExpressionCombinedOperator for use in an ODA `CombinedValueExpression`, based on the class attribute specified in this definition.

  Returns:
    an instance of `CombinedValueExpressionOperator` or its subclass